Name:         stress
License:      GPLv2
Group:        System/Kernel and hardware 
Summary:      A tool which imposes a configurable amount of load on your system
Version:      1.0.7
Release:      %mkrel 2
URL:          https://github.com/resurrecting-open-source-projects/stress
Source:       https://github.com/resurrecting-open-source-projects/stress/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz

%description
stress is a tool which imposes a configurable amount of CPU, memory, I/O, or
disk stress on a POSIX-compliant operating system. It is written in
highly-portable ANSI C, and uses the GNU Autotools to compile on a great number
of UNIX-like operating systems.

stress is not a benchmark. It is a tool used by system administrators to
evaluate how well their systems will scale, by kernel programmers to evaluate
perceived performance characteristics, and by systems programmers to expose the
classes of bugs which only or more frequently manifest themselves when the
system is under heavy load. 

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%files
%{_bindir}/stress
%{_mandir}/man1/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.7-2.mga10
+ Revision: 2217979
- Mageia 10 Mass Rebuild

* Wed Feb 22 2023 ghibo <ghibo> 1.0.7-1.mga9
+ Revision: 1944673
- Update to release 1.0.7

* Wed Oct 19 2022 ghibo <ghibo> 1.0.5-1.mga9
+ Revision: 1897706
- Update to release 1.0.5.
- Fix URL.
- Fix files list.

* Tue Mar 15 2022 umeabot <umeabot> 1.0.4-10.mga9
+ Revision: 1792894
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 ovitters <ovitters> 1.0.4-9.mga8
+ Revision: 1616015
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-8.mga8
+ Revision: 1517256
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-7.mga7
+ Revision: 1301214
- Mageia 7 Mass Rebuild

* Fri Jan 22 2016 daviddavid <daviddavid> 1.0.4-6.mga6
+ Revision: 926448
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 741511
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 689556
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 519278
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 383542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 14 2011 dams <dams> 1.0.4-1.mga1
+ Revision: 84835
- update to 1.0.4

* Thu Mar 17 2011 boklm <boklm> 1.0.1-1.mga1
+ Revision: 73381
- imported package stress


* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 415722
- Update to new version 1.0.1

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.18.9-4mdv2009.0
+ Revision: 261209
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.18.9-3mdv2009.0
+ Revision: 253576
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.18.9-1mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 26 2007 Erwan Velu <erwan@mandriva.org> 0.18.9-1mdv2007.0
+ Revision: 113772
- 0.18.9
- Import stress

* Mon Dec 12 2005 Erwan Velu <erwan@seanodes.com> 0.18.8-1mdk
- 0.18.8

* Sat Jul 02 2005 Lenny Cartier <lenny@mandriva.com> 0.18.6-1mdk
- 0.18.6

* Sat Jun 25 2005 Erwan Velu <erwan@seanodes.com> 0.18.4-1mdk
- 0.18.4

* Thu Jan 06 2005 Erwan Velu <erwan@seanodes.com> 0.18.2-1mdk
- Initial rpm

